[Overview][Constants][Types][Classes][Procedures and functions][Index] | Reference for unit 'ComCtrls' (#lcl)

# ETreeViewError

[Properties (by Name)] [Methods (by Name)] [Events (by Name)]

Exception type raised for errors in a tree view.

## Declaration

Source position: comctrls.pp line 2909

`type ETreeViewError = class(ETreeNodeError)`

## Inheritance

`ETreeViewError` |  | Exception type raised for errors in a tree view.
`ETreeNodeError` |  | Exception type raised for an error retrieving a tree node.
`Exception`
?
`TObject`

## Description

ETreeViewError is a ETreeNodeError descendant and the exception raised for errors in a tree structure.